# Package play.db.jpa

Class Summary
Blob
FileAttachment: Deprecated
GenericModel: A super class for JPA entities
GenericModel.JPAQuery: A JPAQuery
HibernateInterceptor
JPA: JPA Support
JPA.JPAContext
JPABase: A super class for JPA entities
JPAEnhancer: Enhance JPABase entities classes
JPAModelLoader
JPAPlugin
JPASupport: Deprecated
JPASupport.JPAQuery: Deprecated
JPQL
Model: Base class for JPA model objects Automatically provide a @Id Long id field
MySQLDialect: InnoDB, UTF-8 dialect for Mysql
PersistenceUnitInfoImpl

Exception Summary
JPABase.JPAQueryException

Annotation Types Summary
NoTransaction: Annotation to be used on methods telling JPA that it should not create a Transaction at all
Transactional